aboutsummaryrefslogtreecommitdiff
path: root/scripts/maint/run_check_subsystem_order.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/maint/run_check_subsystem_order.sh')
-rwxr-xr-xscripts/maint/run_check_subsystem_order.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/maint/run_check_subsystem_order.sh b/scripts/maint/run_check_subsystem_order.sh
new file mode 100755
index 0000000000..8e98f1e49c
--- /dev/null
+++ b/scripts/maint/run_check_subsystem_order.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -e
+
+TOR="${abs_top_builddir:-.}/src/app/tor"
+
+INCLUDES_PY="${abs_top_srcdir:-.}/scripts/maint/practracker/includes.py"
+
+if ! test -x "${INCLUDES_PY}" ; then
+ echo "skip"
+ exit 77
+fi
+
+"${TOR}" --dbg-dump-subsystem-list | \
+ "${PYTHON:-python}" \
+ "${INCLUDES_PY}" --check-subsystem-order - "${abs_top_srcdir}/src"
+
+echo ok